------------------------------------------------------------------------------
--                                                                          --
--                           GNAT RAVENSCAR for NXT                         --
--                                                                          --
--                       Copyright (C) 2010, AdaCore                        --
--                                                                          --
-- This is free software; you can  redistribute it  and/or modify it under  --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. This is distributed in the hope that it will be useful, but WITH-  --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License  distributed with GNARL; see file COPYING.  If not, write --
-- to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
-- MA 02111-1307, USA.                                                      --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------

--  Define types to use for the AVR API.

package Nxt.Avr_Types is
   type Button_Kind is
     (Button_None,
      Button_Power, Button_Left, Button_Middle, Button_Right);
   --  NXT buttons.

   subtype Defined_Button_Kind is
     Button_Kind range Button_Power .. Button_Right;
   --  Buttons that can be pressed.

   type Sensor_Id is (Sensor_1, Sensor_2, Sensor_3, Sensor_4);
   --  NXT Sensors

   type Motor_Id is (Motor_A, Motor_B, Motor_C);
   --  Motors.

   subtype Pwm_Type is Integer range -100 .. 100;
   --  Speed of motors.
end Nxt.Avr_Types;
