------------------------------------------------------------------------------
--                                                                          --
--                           GNAT RAVENSCAR for NXT                         --
--                                                                          --
--                       Copyright (C) 2010, AdaCore                        --
--                                                                          --
-- This is free software; you can  redistribute it  and/or modify it under  --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. This is distributed in the hope that it will be useful, but WITH-  --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License  distributed with GNARL; see file COPYING.  If not, write --
-- to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
-- MA 02111-1307, USA.                                                      --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------

with Interfaces; use Interfaces;
with Nxt.Avr_Types; use Nxt.Avr_Types;
with Nxt.Avr;
with Memory_Compare;  -- ???, needed by s-tarest.adb

package Nxt.Avrtask is
   pragma Elaborate_Body;

   procedure Power_Down renames Nxt.Avr.Power_Down;
   --  Set power down in the frame.

   Button : Button_Kind;
   --  Button currently pressed.

   procedure Set_Motor (Motor : Motor_Id; Pwm : Pwm_Type; Break : Boolean)
     renames Nxt.Avr.Set_Motor;
   --  Set the speed of MOTOR for the next message.

   function Get_Sensor (Sensor : Sensor_Id) return Unsigned_16
     renames Nxt.Avr.Get_Sensor;
   --  Get value of SENSOR in the last message received.
end Nxt.Avrtask;
