package body Nxt.Display.Concurrent is

   ------------------
   -- Putter_Timed --
   ------------------

   protected body Putter_Timed is

      ---------------
      -- Put_Timed --
      ---------------

      procedure Put_Timed (S : String) is
         Now : Integer := Integer (To_Duration (Clock - Release_Time));
      begin
         NXT.Display.Concurrent.Put ('[');
         NXT.Display.Concurrent.Put (Integer (Now));
         NXT.Display.Concurrent.Put_Line ("] : " & S);
      end Put_Timed;

   end Putter_Timed;


   -----------
   -- Clear --
   -----------

   procedure Clear renames Nxt.Display.Clear_Noupdate;

   ---------
   -- Put --
   ---------

   procedure Put (C : Character) renames Nxt.Display.Put_Noupdate;

   ---------
   -- Put --
   ---------

   procedure Put (S : String) renames Nxt.Display.Put_Noupdate;

   --------------
   -- Put_Line --
   --------------

   procedure Put_Line (S : String) is
   begin
      Nxt.Display.Put_Noupdate (S);
      Nxt.Display.Newline_Noupdate;
   end Put_Line;

   ---------------
   -- Put_Timed --
   ---------------

   procedure Put_Timed (S : String) is
   begin
      Putter_Timed.Put_Timed (S);
   end Put_Timed;

   ---------
   -- Put --
   ---------

   procedure Put (V : Integer) renames Nxt.Display.Put_Noupdate;

   -------------
   -- Newline --
   -------------

   procedure Newline renames Nxt.Display.Newline_Noupdate;

   -------------
   -- Put_Hex --
   -------------

   procedure Put_Hex (Val : Unsigned_32) renames Nxt.Display.Put_Hex;

   -------------
   -- Put_Hex --
   -------------

   procedure Put_Hex (Val : Unsigned_16) renames Nxt.Display.Put_Hex;

   -------------
   -- Put_Hex --
   -------------

   procedure Put_Hex (Val : Unsigned_8) renames Nxt.Display.Put_Hex;

   -------------------
   -- Update_Screen --
   -------------------

   procedure Update_Screen is
   begin
      Nxt.Display.Screen_Update;
   end Update_Screen;

end Nxt.Display.Concurrent;
