# -*- Makefile -*- for nxt ravenscar.

CROSS=arm-eabi-
CFLAGS?=-Os -g

KERN_OBJS=vectors.o init.o main.o irq.o context_switch-bb-arm.o

LIBGCC:=$(shell $(CROSS)gcc -print-libgcc-file-name)

all: $(PRG)

$(PRG): $(KERN_OBJS) bt.o force
	$(CROSS)gnatmake -a $(CFLAGS) --RTS=$(RAVENSCAR_SRC)/../rts-raven -I$(RAVENSCAR_SRC) -I$(RAVENSCAR_SRC)/../drivers $(PRG) -largs -nostdlib -nostdinc $(KERN_OBJS) -T $(RAVENSCAR_SRC)/kernel_samba.ld  $(LIBGCC) -Wl,-z,max-page-size=4096 -Wl,-cref,-Map,$@.map

GCC_COMPILE=$(CROSS)gcc -c -o $@ $(CFLAGS) $<

main.o: $(RAVENSCAR_SRC)/../drivers/main.c
	$(GCC_COMPILE) -DENABLE_LAST_CHANCE_HANDLER

vectors.o: $(RAVENSCAR_SRC)/vectors.s
	$(GCC_COMPILE)

init.o: $(RAVENSCAR_SRC)/init.s
	$(GCC_COMPILE)

context_switch-bb-arm.o: $(RAVENSCAR_SRC)/context_switch-bb-arm.S
	$(GCC_COMPILE)

irq.o: $(RAVENSCAR_SRC)/irq.s
	$(GCC_COMPILE)

bt.o: $(RAVENSCAR_SRC)/../drivers/bt.c
	$(CROSS)gcc -c -o $@ $(CFLAGS) $<

clean:
	$(RM) -f *.o *~ b~* hello *.ali *.map

force:
