------------------------------------------------------------------------------
--                                                                          --
--                       Copyright (C) 2010, AdaCore                        --
--                                                                          --
-- This  is  free  software;  you  can  redistribute  it and/or  modify  it --
-- under terms of the  GNU General Public License as published  by the Free --
-- Software  Foundation;  either version 2,  or (at your option)  any later --
-- version.  This  is  distributed  in the hope that  it  will  be  useful, --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT- --
-- ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public --
-- License for  more details.  You should have  received  a copy of the GNU --
-- General Public License distributed with GNATStack;  see file COPYING. If --
-- not, write to the  Free Software Foundation,  51 Franklin Street,  Fifth --
-- Floor, Boston, MA 02110-1301, USA.                                       --
------------------------------------------------------------------------------

--  Menu package.

with Nxt.Avr_Types; use Nxt.Avr_Types;

package Menus is
   type String_Const_Acc is access constant String;
   type Menu_Item_Handler_Acc is access procedure;

   type Menu_Item is record
      Name : String_Const_Acc;
      Handler : Menu_Item_Handler_Acc;
   end record;

   type Menu_Type is array (Natural range <>) of Menu_Item;

   procedure Play_Menu (M : Menu_Type);

   function Wait_Key return Defined_Button_Kind;

   procedure Wait_Ms;
   procedure Wait_Key;
end Menus;
